---
title: llarp/win32/windivert.hpp

---

# llarp/win32/windivert.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::win32](Namespaces/namespacellarp_1_1win32.md)**  |




## Source code

```cpp
#pragma once
#include <memory>
#include <windows.h>
#include <llarp/vpn/packet_intercept.hpp>

namespace llarp::win32
{
  std::shared_ptr<llarp::vpn::I_PacketIntercepter>
  WinDivert_new(std::string filter_spec, std::function<void(std::function<void(void)>)> logic_call);

}  // namespace llarp::win32
```


-------------------------------

Updated on 2022-09-01 at 16:07:59 +0000
