---
title: llarp::vpn::Layer4Handler

---

# llarp::vpn::Layer4Handler





## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~Layer4Handler](Classes/structllarp_1_1vpn_1_1Layer4Handler.md#function-~layer4handler)**() =default |
| virtual bool | **[HandleIPPacket](Classes/structllarp_1_1vpn_1_1Layer4Handler.md#function-handleippacket)**([llarp::net::IPPacket](Classes/structllarp_1_1net_1_1IPPacket.md) pkt) =0<br>returns false if we handled the packet using the parent packet router's base handler otherwise returns true  |
| virtual void | **[AddSubHandler](Classes/structllarp_1_1vpn_1_1Layer4Handler.md#function-addsubhandler)**(nuint16_t , PacketHandlerFunc_t ) |

## Public Functions Documentation

### function ~Layer4Handler

```cpp
virtual ~Layer4Handler() =default
```


### function HandleIPPacket

```cpp
virtual bool HandleIPPacket(
    llarp::net::IPPacket pkt
) =0
```

returns false if we handled the packet using the parent packet router's base handler otherwise returns true 

### function AddSubHandler

```cpp
inline virtual void AddSubHandler(
    nuint16_t ,
    PacketHandlerFunc_t 
)
```


-------------------------------

Updated on 2022-09-01 at 16:07:59 +0000